site_name: KIT-CERT Dokumentation
site_author: KIT-CERT <ca@kit.edu>
site_url: https://docs.cert.kit.edu/main/
docs_dir: '../../docs/en'
site_dir: '../../generated/en'
repo_url: ''
repo_name: SCC GitLab
edit_uri_template: https://git.scc.kit.edu/-/ide/project/KIT-CERT/docs.cert.kit.edu/tree/main/-/main/docs/{path}

nav:
  - Home: index.md
  - SSH Dokumentation (engl.): /ssh/en
  - Vorträge (engl.): /talks/en
  - Vorträge (german): /talks/de

markdown_extensions:
  - abbr
  - admonition
  - def_list
  - fenced_code
  - footnotes
  - sane_lists
  - smarty
  - toc

plugins:
  - search:
      lang: en

extra:
  alternate:
    - name: English
      link: /main/en/
      lang: en
    - name: Deutsch
      link: /main/de/
      lang: de

extra_css:
  - assets/stylesheets/extra.css

theme:
  name: material
  font: false
  locale: en
  language: en
  highlightjs: true
  prev_next_buttons_location: both
  logo: assets/images/logo.svg
  favicon: assets/images/favicon.ico
  custom_dir: "../../overrides/"
  palette:
    - scheme: default
      media: "(prefers-color-scheme: light)"
      primary: custom
      accent: custom
      toggle:
        icon: material/brightness-7
        name: Switch to dark mode
    - scheme: slate
      media: "(prefers-color-scheme: dark)"
      primary: custom
      accent: custom
      toggle:
        icon: material/brightness-4
        name: Switch to light mode
